#include "defines.h"
#include "oscrn.h"

int SCcolor(int col,unchar *work)
/* オフスクリーン：色設定 */
/* col=-1で現在状態読みだしのみ */
{
SC_BUFF *scwork;
int col0;
	if (SCcheck(work)) return(SCERR1);
	scwork=(SC_BUFF *)work;
	col0=scwork->col;
	if (col>=0) scwork->col=col;
	return(col0);
}
